def rivet_tab(self,pntJ,pntI,prev_point,left_side): radius = self.rivet_diameter/2.0+self.tab_padding a,b,c,d,e = edgeGeom.get_arc_rod_points(pntI,pntJ,radius,not left_side) arc = rs.AddArc3Pt(b,d,c) line_ab = rs.AddLine(a,b) line_de = rs.AddLine(d,e) hole = rs.AddCircle(rs.PlaneFromNormal(pntI,self.normal),self.rivet_diameter/2.0) line_connect = rs.AddLine(prev_point,a) self.geom_temp.extend([line_connect,line_ab,arc,line_de,hole]) return a,e
def rivet_tab(self, pntJ, pntI, prev_point, left_side): radius = self.rivet_diameter / 2.0 + self.tab_padding a, b, c, d, e = edgeGeom.get_arc_rod_points(pntI, pntJ, radius, not left_side) arc = rs.AddArc3Pt(b, d, c) line_ab = rs.AddLine(a, b) line_de = rs.AddLine(d, e) hole = rs.AddCircle(rs.PlaneFromNormal(pntI, self.normal), self.rivet_diameter / 2.0) line_connect = rs.AddLine(prev_point, a) self.geom_temp.extend([line_connect, line_ab, arc, line_de, hole]) return a, e
def test_create_arc_rod(self): a, b, c, d, e = edgeGeom.get_arc_rod_points(self.pntI, self.pntJ, self.radius, self.color)
def test_create_arc_rod(self): a,b,c,d,e = edgeGeom.get_arc_rod_points(self.pntI,self.pntJ,self.radius,self.color)